<div id="toaster">
	<style>
		@scope {
			:scope {
				position: fixed;
				bottom: 10px;
				right: 10px;
				display: flex;
				flex-direction: column;
				gap: 4px;
				align-items: end;
			}

			&>* {
				transition: all ease-in-out 1s;
			}

			.fade-out {
				opacity: 0;
			}
		}
	</style>
</div>

<script>
	htmx.on("htmx:oobAfterSwap", (evt) => {
		const toaster = htmx.find('#toaster')
		const toastFadeTime = 2000

		if (evt.detail.target == toaster) {
			const lastChild = htmx.find('#toaster > *:last-child')

			// // Fade toast out
			setTimeout(() => {
				lastChild.classList.add('fade-out')
			}, toastFadeTime)

			// Remove toast from DOM
			setTimeout(() => {
				htmx.remove(lastChild, toastFadeTime + 1000)
			})
		}
	})
</script>
